# collada.scene.ExtraNode

class `collada.scene.``ExtraNode`(xmlnode)

  Bases: `collada.scene.SceneNode`

  Represents extra information in a scene, as defined in a collada <extra> tag.

  `__init__`(xmlnode)

    Create an extra node which stores arbitrary xml

    Parameters: | xmlnode – Should be an ElementTree instance of tag type <extra>

  Methods

  `__init__`(xmlnode) | Create an extra node which stores arbitrary xml
  `load`(collada, node) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Iterate through all objects under this node that match tipo.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  `xmlnode` = None

    ElementTree representation of the extra node.

  `objects`(tipo, matrix=None)

    Iterate through all objects under this node that match tipo. The objects will be bound and transformed via the scene transformations.

    Parameters:

    - tipo (str) – A string for the desired object type. This can be one of ‘geometry’, ‘camera’, ‘light’, or ‘controller’.
    - matrix (numpy.matrix) – An optional transformation matrix

    Return type: | generator that yields the type specified

  static `load`(collada, node)

    Load and return a class instance from an XML node.

    Inspect the data inside node, which must match this class tag and create an instance out of it.

    Parameters:

    - collada (collada.Collada) – The collada file object where this object lives
    - localscope (dict) – If there is a local scope where we should look for local ids (sid) this is the dictionary. Otherwise empty dict ({})
    - node – An Element from python’s ElementTree API

  `save`()

    Put all the data to the internal xml node (xmlnode) so it can be serialized.